Arkham is a framework for building CLI tools and applications. It provides basic
building blocks for building attractive and smooth CLIs


# CLI Features

## Option Parsing

* Opt/Flag handling for short, long command line options
* Nested subcommands with their own flags
* Opts are hierarchal and can be utilized from parent commands
* Automatic usage details for subcommands and bare execution
* Flags and options can be set via environment variables

## Styling

* Canned helper methods for generating colored and formatted outputs for common
structures: Detail lists, headers, etc.

# Basic Usage

* [fib](https://git.5sigma.io/arkham/arkham/-/blob/master/examples/fib.rs) - An example using subcommands and command line options 

